;
;	>>> SV2K17 Invitro-System by JAC! <<<
;
;	Created for Sillyventure 2017 in Gdansk.
;
;	This file contains the system code which must be there in the same location in all code banks.
;	In banks without code, it is not required.
;
;	@com.wudsn.ide.asm.hardware=ATARI2600
;	@com.wudsn.ide.asm.mainsourcefile=SV2K17.asm

	.proc common			;Common code for all banks

;===============================================================

	.proc call_animate		;Indirect call with automatic bank switching, IN: animate_ptr, returns to bank0, <Y> is passed unchanged, trashes <A>, <X>
	lda animate_ptr+1		;Bank 0 is in $1000-1fff, bank 7 in $f000-ffff
	.if .def strict_mode
no_code	beq no_code
	.endif
	lsr
	lsr
	lsr
	lsr
	lsr
	tax
	cmp mmu.bank0,x
	jsr call
	bit mmu.bank0
return	rts

call	jmp (animate_ptr)
	.endp

	.endp

