;	>>> SV2K17 Invitro-Rink by JAC! <<<
;
;	Created for Sillyventure 2017 in Gdansk.
;
;	@com.wudsn.ide.asm.hardware=ATARI2600
;	@com.wudsn.ide.asm.mainsourcefile=../SV2K17.asm

	.proc vblank
	lda bank0.effect.sound.tt_cur_pat_index_c0
	sne				;Do not animate during 1st pattern (blip blob)
	rts

	lda fade_line_fade
	cmp #127
	bcs fade_complete
	inc fade_line_fade
	jmp copy_fade_colors

fade_complete
	lda bank0.effect.sound.tt_cur_pat_index_c0	;Detect pattern change
	cmp fade_last_pat_index_c0
	beq no_fade
	sta fade_last_pat_index_c0
	lda fade_line_cnt
	cmp #[.len bank3.effect.rink.init.fade_line_heights]-1
	beq no_fade

	
	lda fade_line_offset
	clc
	adc fade_line_height
	sta fade_line_offset

	inc fade_line_cnt
	ldx fade_line_cnt				;Copied from "SV2K17-Rink-Init-asm" to save bank switching
	mva fade_line_heights,x fade_line_height
	mva #0 fade_line_fade
no_fade
	
copy_fade_colors
	.use bank1
	ldx #<effect.rink.picture.colors.ntsc
	ldy #>effect.rink.picture.colors.ntsc
	m_check_ntsc
	beq use_ntsc_colors
	ldx #<effect.rink.picture.colors.pal
	ldy #>effect.rink.picture.colors.pal
use_ntsc_colors
	stx colors_ptr
	sty colors_ptr+1

	lda fade_line_fade
	lsr
	and #63
	cmp #32
	scc
	lda #31
	sta fade_temp

	lda #frame_height
	sec
	sbc fade_line_offset
	tay

	mwa #effect.rink.vblank_continued animate_ptr
	jmp common.call_animate
	
	.local fade_line_heights	;Copied from "SV2K17-Rink-Init-asm" to save bank switching
	.byte 18-1,13,26,16,28,13,14,25
	.endl

	.endp				;End of vblank

	m_info rink.vblank