;	>>> SV2K17 Invitro-Scroll by JAC! <<<
;
;	Created for Sillyventure 2017 in Gdansk.
;
;	@com.wudsn.ide.asm.hardware=ATARI2600
;	@com.wudsn.ide.asm.mainsourcefile=../SV2K17.asm

	.proc scroll

	.proc text

	.proc init_phase		;Init text phase, IN: <Y>=phase 0, 2, 4 ...2*[n-1]
	mwa data.addresses,y text_ptr
	rts
	.endp

;===============================================================

	.proc get_next_char		;Get next character, OUT: <A>=characters
	ldy #0	
reload	lda (text_ptr),y
	cmp #1
	bne no_next_phase
	mwa #data.phase0 text_ptr
	bne reload
no_next_phase
	inw text_ptr
	rts

	.endp

;===============================================================

	.local data

	.local addresses
	.word phase1,phase2,phase3,phase4,phase5
	.endl

	.local phase0
	.byte '            ',0
	.endl

	.local phase1
	.byte 'HELLO ATARI FANS ALL OVER THE PLANET! WELCOME TO OUR VCS INVITRO FOR ...',1
	.endl

	.local phase2
	.byte 'SILLY VENTURE 2017 - THE BIGGEST ATARI-ONLY PARTY IN EUROPE! THIS YEAR WE CELEBRATE AMONG OTHER THINGS 40 YEARS OF THE ATARI 2600!',1
	.endl

	.local phase3
	.byte 'CONTRIBUTE WITH MSX OR DEMO ENTRIES FOR THIS LEGENDARY PLATFORM AND LET''S MAKE IT A GREAT 40TH BIRTHDAY!',1
	.endl

	.local phase4
	.byte '8TH-10TH DECEMBER 2017 - GDANSK/POLAND. FOR MORE INFO CHECK THE OFFICIAL WEBSITE WWW.SILLYVENTURE.EU!',1
	.endl

	.local phase5
	.byte 'CODE BY JAC! MUSIC BY GLAFOUK! RELEASED ON 2017-06-30 - SEE YOU IN GDANSK!',1
	.endl
	
	.endl	;End of data
	
	.endp	;End of text

	.endp	;End of scroll

	m_info scroll.text	