;	Parameters: character_height=7 positioning_height=1 wave_steps=360 amplitude=152 n=12 collisions=0 player_frames=30 player_frames_size=9660 bytes
;
;	@com.wudsn.ide.asm.hardware=ATARI2600
;	@com.wudsn.ide.asm.mainsourcefile=../../SV2K17.asm
;
	.proc frame_17

sprite_08_p0	;Line 1, P0 positioning character 8, P1 off
	m_lda_xpos_char 0 8
	mx_set_hpos p0
	sta wsync;1/1
	ldx #8*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr

sprite_09_p1	;Line 3, P0 drawing character 8 line 1, P1 positioning character 9
	m_lda_xpos_char 1 9
	ldx char_tab+8*char_height+1
	mx_set_hpos p1 grp0
	ldx #8*char_height+2
	ldy #9*char_height+0
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1_r4;Repeated
	jsr object.store_grp1_r2;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_07_p0	;Line 20, P0 positioning character 7, P1 off
	m_lda_xpos_char 0 7
	mx_set_hpos p0
	jsr wait_wsync.r8
	ldx #7*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr
	jsr object.store_grp0.with_sync

sprite_10_p1	;Line 23, P0 drawing character 7 line 2, P1 positioning character 10
	m_lda_xpos_char 1 10
	ldx char_tab+7*char_height+2
	mx_set_hpos p1 grp0
	ldx #7*char_height+3
	ldy #10*char_height+0
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1_r3;Repeated
	jsr object.store_grp1_r3;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_06_p0	;Line 53, P0 positioning character 6, P1 off
	m_lda_xpos_char 0 6
	mx_set_hpos p0
	jsr wait_wsync.r16
	jsr wait_wsync.r5
	ldx #6*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr
	jsr object.store_grp0_r3;Repeated

sprite_11_p1	;Line 58, P0 drawing character 6 line 4, P1 positioning character 11
	m_lda_xpos_char 1 11
	ldx char_tab+6*char_height+4
	mx_set_hpos p1 grp0
	ldx #6*char_height+5
	ldy #11*char_height+0
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1.with_sync
	jsr object.store_grp1_r5;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_05_p0	;Line 91, P0 positioning character 5, P1 off
	m_lda_xpos_char 0 5
	mx_set_hpos p0
	jsr wait_wsync.r16
	jsr wait_wsync.r8
	ldx #5*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr
	jsr object.store_grp0_r3;Repeated

sprite_00_p1	;Line 96, P0 drawing character 5 line 4, P1 positioning character 0
	m_lda_xpos_char 1 0
	ldx char_tab+5*char_height+4
	mx_set_hpos p1 grp0
	ldx #5*char_height+5
	ldy #0*char_height+0
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1.with_sync
	jsr object.store_grp1_r5;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_04_p0	;Line 126, P0 positioning character 4, P1 off
	m_lda_xpos_char 0 4
	mx_set_hpos p0
	jsr wait_wsync.r16
	jsr wait_wsync.r5
	ldx #4*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr
	jsr object.store_grp0.with_sync

sprite_01_p1	;Line 129, P0 drawing character 4 line 2, P1 positioning character 1
	m_lda_xpos_char 1 1
	ldx char_tab+4*char_height+2
	mx_set_hpos p1 grp0
	ldx #4*char_height+3
	ldy #1*char_height+0
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1_r3;Repeated
	jsr object.store_grp1_r3;Repeated
	jsr object.clear_grp0_grp1.with_sync

sprite_03_p0	;Line 146, P0 positioning character 3, P1 off
	m_lda_xpos_char 0 3
	mx_set_hpos p0
	jsr wait_wsync.r8
	ldx #3*char_height+0
	jsr object.store_grp0.without_sync
	sta hmclr

sprite_02_p1	;Line 148, P0 drawing character 3 line 1, P1 positioning character 2
	m_lda_xpos_char 1 2
	ldx char_tab+3*char_height+1
	mx_set_hpos p1 grp0
	ldx #3*char_height+2
	ldy #2*char_height+0
	jsr object.store_grp0_grp1.without_sync
	sta hmclr
	jsr object.store_grp0_grp1_r4;Repeated
	jsr object.store_grp1_r2;Repeated
	jsr object.clear_grp0_grp1.with_sync
	jsr wait_wsync.r4
	m_end_frame
	.endp
	m_info frame_17

