;	>>> SV2K17 Invitro-Rink by JAC! <<<
;
;	Created for Sillyventure 2017 in Gdansk.
;
;	@com.wudsn.ide.asm.hardware=ATARI2600
;	@com.wudsn.ide.asm.mainsourcefile=../SV2K17.asm


	.local picture			;Must be page aligned

	.macro m_colors
	.byte white,hz_color2+$e,hz_color2+$e,hz_color2+$c,hz_color2+$a,hz_color2+$8,hz_color2+$6,hz_color2+$4,hz_color2+$2,hz_color2+$2,hz_color2+$2,hz_color2+$2
	.byte white,hz_color1+$e,hz_color1+$e,hz_color1+$c,hz_color1+$a,hz_color1+$8,hz_color1+$6,hz_color1+$4,hz_color1+$2,hz_color1+$2,hz_color1+$2,hz_color1+$2
	.byte $00,$00,$00
	.byte white,ram_color+$e,ram_color+$e,ram_color+$c,ram_color+$a,ram_color+$8,ram_color+$6,ram_color+$4,ram_color+$2,ram_color+$2,ram_color+$2
	.byte $00,$00
	.byte white,rom_color+$e,rom_color+$e,rom_color+$c,rom_color+$a,rom_color+$8,rom_color+$6,rom_color+$4,rom_color+$2,rom_color+$2,rom_color+$2
	.byte $00,$00,$00
	.byte white,white,mhz_color2+$e,mhz_color2+$e,mhz_color2+$c,mhz_color2+$a,mhz_color2+$8,mhz_color2+$6,mhz_color2+$4,mhz_color2+$2,mhz_color2+$2,mhz_color2+$2
	.byte white,white,mhz_color1+$e,mhz_color1+$e,mhz_color1+$c,mhz_color1+$a,mhz_color1+$8,mhz_color1+$6,mhz_color1+$4,mhz_color1+$2,mhz_color1+$2,mhz_color1+$2,mhz_color1+$2
	.byte $00,$00,$00
	.byte white,white,sv_color+$e,sv_color+$e,sv_color+$c,sv_color+$a,sv_color+$8,sv_color+$6,sv_color+$4,sv_color+$2,sv_color+$2,sv_color+$2,sv_color+$2
	.byte $00,$00
	.byte white,white,vcs_color2+$e,vcs_color2+$e,vcs_color2+$e,vcs_color2+$c,vcs_color2+$a,vcs_color2+$8,vcs_color2+$6,vcs_color2+$4,vcs_color2+$4,vcs_color2+$4
	.byte white,white,vcs_color1+$e,vcs_color1+$e,vcs_color1+$e,vcs_color1+$c,vcs_color1+$a,vcs_color1+$8,vcs_color1+$6,vcs_color1+$4,vcs_color1+$4,vcs_color1+$4
	.byte $00,$00,$00
	.byte req_color+$4,req_color+$6,req_color+$8,req_color+$a,req_color+$c,req_color+$e,req_color+$c,req_color+$a,req_color+$8,req_color+$6
	.byte $00,$00
	.byte system_color+$6,system_color+$4,system_color+$2,system_color+$4,system_color+$6,system_color+$8,system_color+$a,system_color+$c,system_color+$e,system_color+$e,system_color+$c,system_color+$a,system_color+$8,system_color+$6,system_color+$4,system_color+$2
	.endm

	.local colors			;Must be page aligned	

	.local pal
	white = $0e
	system_color = $90
	req_color = $70
	vcs_color1 = $60
	vcs_color2 = $b0
	sv_color = $80
	mhz_color1 = $60
	mhz_color2 = $b0
	ram_color = $20
	rom_color = $40
	hz_color1 = $60
	hz_color2 = $b0

	m_colors
	.endl
	.endl

	.local sprites
	.if sprites/256 <> (sprites+255)/256
	.error "rink.picture.sprites is not page aligned at ",sprites
	.endif
	ins "SV2K17-Rink-48x160.pic",0,$600
	.endl

	.local colors
	.local ntsc
	white = $0e
	system_color = $a0
	req_color = $b0
	vcs_color1 = $40
	vcs_color2 = $90
	sv_color = $50
	mhz_color1 = $40
	mhz_color2 = $90
	ram_color = $f0
	rom_color = $20
	hz_color1 = $40
	hz_color2 = $90

	m_colors
	.endl
	
	.endl

	m_info colors.pal
	m_info colors.ntsc
	m_info colors

	.endl				;End of picture
