;	>>> SV2K17 Invitro-Scroll by JAC! <<<
;
;	Created for Sillyventure 2017 in Gdansk.
;
;	@com.wudsn.ide.asm.hardware=ATARI2600
;	@com.wudsn.ide.asm.mainsourcefile=../SV2K17.asm
;

char_height	= 7
char_width	= 12
char_n 		= 12
char_tab_size	= char_n*char_height	;84 bytes for character data

xpos_step 	= 12			;Pixels between two characters
frame_width 	= char_n*xpos_step	;Size of an animation frame
frame_n		= 30			;Number of animation frames

frame_cnt	= scroll_zp		;1 byte, counting from 0...frame_n-1 or frame_n-1...0
xpos_cnt	= scroll_zp+1		;1 byte, counting from 0...frame_width-1
char_cnt	= scroll_zp+2		;1 byte, counting from 0...xpos_step
char_index	= scroll_zp+3		;1 byte, counting from 0...char_n
text_ptr	= scroll_zp+4		;2 bytes

char_tab	= scroll_zp+6		;char_tab_size bytes

scroll_zp_end 	= char_tab+char_tab_size ;Don't knwo where the r7 is coming from

animate_ptr	= volatile_zp		;2 bytes
xpos_tab	= volatile_zp+2		;char_n bytes = 12 bytes

.if scroll_zp_end > zp_end
	.error "ZP scroll_zp:	", scroll_zp, " - ", scroll_zp_end-1, " (", scroll_zp_end-scroll_zp, " bytes) exceeds zp_end"
.else
	.print "ZP scroll_zp:	", scroll_zp, " - ", scroll_zp_end-1, " (", scroll_zp_end-scroll_zp, " bytes)"
.endif